# Tonbun
Tonbun is a desktop app for reading and downloading manga. With clean distraction-free design and no clutter. Build with [Rust](https://www.rust-lang.org/), [Tauri](https://tauri.app/), [Vue.js](https://vuejs.org/), and [MangaDex](https://mangadex.org/) API. 

The app is still in early development and might be unstable. Feel free to contribute and make issues. If you have questions or suggestions, message me on Discord `KPidS#3754` or on Telegram [@KPidS](https://t.me/kpids). 

### Search and download mangas

Powered by [MangaDex](https://mangadex.org/) API

![](https://raw.githubusercontent.com/KPidS/tonbun/main/readme/download.webp)

### Reorder mangas in the library

So that the ones you are reading now are at the top

![](https://raw.githubusercontent.com/KPidS/tonbun/main/readme/reorder.webp)

### Read manga through a build-in reader

The app will remember the chapter and page when you stop reading

![](https://raw.githubusercontent.com/KPidS/tonbun/main/readme/reader.webp)

## Features: 

- Add manga from a local source. If the manga your looking for isn't on MangaDex, you can use [HakuNeko](https://hakuneko.download/) to download it instead. 
- Fullscreen and windowed modes (F11), preserved window size. 
- Support for English and Russian languages for mangas you download.

## Planned features:

- Integration with Anilist and MyAnimeList to track progress.
- Discord Rich Presence.
- Support for long strip format.
- Support for multiple connectors, like in [HakuNeko](https://hakuneko.download/). 
- Credits for scanlation group from MangaDex.
- More languages. 
- More reader settings. The reader is janky right now. 
- Change the manga folder. Default is `Documents/Mangas`
- Download only a part of the chapters, not all.
- Check for new chapters and download them when they are available. 
- Folders in the library for a more convenient organization.
- Read manga without downloading it. 
- Mobile app with synchronized progress. 
